#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QThread>

namespace Ui {
class MainWindow;
}

class Vlakno : public QThread
{
Q_OBJECT
signals:
    void send (QString s);
public:
    void run ();
};

class MainWindow : public QMainWindow
{
    Q_OBJECT

private slots:
    void receive (QString s);

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
