#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    for (int i = 1; i <= 1; i++)
    {
       Vlakno * v = new Vlakno;
       connect ( v,    SIGNAL (send (QString)),
                 this, SLOT   (receive (QString)) );
       v->start ();
    }
}

MainWindow::~MainWindow()
{
    delete ui;
}


void Vlakno::run()
{
    int n = 0;
    while (true)
    {
        n ++;
        emit send ("Hello " + QString::number (n));
        msleep(200);
    }
}

void MainWindow::receive(QString s)
{
    ui->textEdit->append (s);
}

